import ldap
from django_auth_ldap.config import LDAPSearch
from pathlib import Path

BASE_DIR = Path(__file__).resolve().parent.parent

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = 'b7w8$zg#ka7%*o6d1*4oli^k73ruakubizbm^k%0yke(h1!&2h'

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = True


ALLOWED_HOSTS = []

# Database
# https://docs.djangoproject.com/en/3.1/ref/settings/#databases

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': BASE_DIR / 'db.sqlite3',
    }
}

AUTH_LDAP_BIND_PASSWORD = "justtesting"

AUTHENTICATION_BACKENDS = [
    "django_auth_ldap.backend.LDAPBackend",
    "django.contrib.auth.backends.ModelBackend",
]

AUTH_LDAP_SERVER_URI = "ldaps://indiana.test.mri.int"
# AUTH_LDAP_START_TLS = True
AUTH_LDAP_BIND_DN = "cn=Manager,dc=mri.cnrs,dc=fr"
# AUTH_LDAP_BIND_PASSWORD = "lesupermotdepasse"
AUTH_LDAP_BASE = "ou=users,dc=mri.cnrs,dc=fr"
AUTH_LDAP_USER_SEARCH = LDAPSearch(
    AUTH_LDAP_BASE, ldap.SCOPE_SUBTREE, "(uid=%(user)s)"
)

EMAIL_HOST = "mail.test.mri.cnrs.fr"
EMAIL_PORT = 1025
EMAIL_FROM = 'no-reply@mri.cnrs.fr'

EMAIL_DEST_ADM = ['mri-gestion@mri.cnrs.fr', ]
